[Vm-dev] [commit][3602] Fix errors in the Newspeak Mac installer genrators.

commits at squeakvm.org commits at squeakvm.org
Mon Feb 15 01:27:14 UTC 2016


Revision: 3602
Author:   eliot
Date:     2016-02-14 17:27:13 -0800 (Sun, 14 Feb 2016)
Log Message:
-----------
Fix errors in the Newspeak Mac installer genrators.
Fix a slip in platforms/Cross/vm/sqCogStackAlignment.h for the ARM's getsp.
Eliminate non-spur and stack VMs from the ARM builds (it builds veerry slowly)
Include 64-bit and Mac Pharo VMs in archives and uploads.

Modified Paths:
--------------
    branches/Cog/build.linux32ARM/makeproduct
    branches/Cog/build.linux32ARM/makeproductclean
    branches/Cog/build.macos32x86/newspeak.cog.spur/installer/Makefile
    branches/Cog/build.macos32x86/newspeak.cog.spur/installer/branding.gmk
    branches/Cog/build.macos64x64/newspeak.cog.spur/installer/Makefile
    branches/Cog/build.macos64x64/newspeak.cog.spur/installer/branding.gmk
    branches/Cog/platforms/Cross/vm/sqCogStackAlignment.h
    branches/Cog/scripts/mkspurvmarchives
    branches/Cog/scripts/mkvmarchives
    branches/Cog/scripts/uploadvms

Added Paths:
-----------
    branches/Cog/scripts/mkspur64vmarchives

Property Changed:
----------------
    branches/Cog/platforms/Cross/vm/sqSCCSVersion.h

Modified: branches/Cog/build.linux32ARM/makeproduct
===================================================================
--- branches/Cog/build.linux32ARM/makeproduct	2016-02-14 23:01:48 UTC (rev 3601)
+++ branches/Cog/build.linux32ARM/makeproduct	2016-02-15 01:27:13 UTC (rev 3602)
@@ -1,6 +1,6 @@
 #!/bin/bash
 trap 'exit 2' HUP INT PIPE TERM
-for d in newspeak.cog.spur squeak.cog.spur squeak.cog.v3 squeak.stack.spur squeak.stack.v3; do
+for d in newspeak.cog.spur squeak.cog.spur; do
 	if test -d "$d"; then
 		(cd ./$d;./makealldirty "$@")
 	else

Modified: branches/Cog/build.linux32ARM/makeproductclean
===================================================================
--- branches/Cog/build.linux32ARM/makeproductclean	2016-02-14 23:01:48 UTC (rev 3601)
+++ branches/Cog/build.linux32ARM/makeproductclean	2016-02-15 01:27:13 UTC (rev 3602)
@@ -1,6 +1,6 @@
 #!/bin/bash
 trap 'exit 2' HUP INT PIPE TERM
-for d in newspeak.cog.spur squeak.cog.spur squeak.cog.v3 squeak.stack.spur squeak.stack.v3; do
+for d in newspeak.cog.spur squeak.cog.spur; do
 	if test -d "$d"; then
 		(cd ./$d;./makeallclean "$@")
 	else

Modified: branches/Cog/build.macos32x86/newspeak.cog.spur/installer/Makefile
===================================================================
--- branches/Cog/build.macos32x86/newspeak.cog.spur/installer/Makefile	2016-02-14 23:01:48 UTC (rev 3601)
+++ branches/Cog/build.macos32x86/newspeak.cog.spur/installer/Makefile	2016-02-15 01:27:13 UTC (rev 3602)
@@ -21,7 +21,7 @@
 $(VM_LOCALIZED_NAME_ESC).app: ../CocoaFast.app
 	rm -rf $(VM_LOCALIZED_NAME_ESC).app
 	cp -R ../CocoaFast.app $(VM_LOCALIZED_NAME_ESC).app
-	test -f $(VM_LOCALIZED_NAME_ESC).app/Contents/Resources/$(SOURCEFILENAME1) || ln $(SOURCEFILENAME1) $(VM_LOCALIZED_NAME_ESC).app/Contents/Resources
+	test -f $(VM_LOCALIZED_NAME_ESC).app/Contents/Resources/$(notdir $(SOURCEFILENAME1)) || ln $(SOURCEFILENAME1) $(VM_LOCALIZED_NAME_ESC).app/Contents/Resources
 
 # Cab contents:
 VM_BUNDLE := $(VM_LOCALIZED_NAME_ESC).app

Modified: branches/Cog/build.macos32x86/newspeak.cog.spur/installer/branding.gmk
===================================================================
--- branches/Cog/build.macos32x86/newspeak.cog.spur/installer/branding.gmk	2016-02-14 23:01:48 UTC (rev 3601)
+++ branches/Cog/build.macos32x86/newspeak.cog.spur/installer/branding.gmk	2016-02-15 01:27:13 UTC (rev 3602)
@@ -4,7 +4,7 @@
 # For Cog would like to use YY.MMDD.SVN where SVN is the Subversion checkin
 # id taken from platforms/Cross/vm/sqSCCSVersion.h.  But that doesn't fit
 # the 0-255 field.  So use YY.WW.SVN where WW is the week number.
-SVNREV  := $(shell grep '\$Rev: ' ../../../platforms/Cross/vm/sqSCCSVersion.h | sed 's/.*$Rev: \([0-9][0-9]*\).*/\1/' )
+SVNREV  := $(shell grep '$$Rev: ' ../../../platforms/Cross/vm/sqSCCSVersion.h | sed 's/.*$$Rev: \([0-9][0-9]*\).*/\1/' )
 VERSION := $(shell date +%y.%U.$(SVNREV))
 
 # Base name of the executable (.exe is appended on Windows)

Modified: branches/Cog/build.macos64x64/newspeak.cog.spur/installer/Makefile
===================================================================
--- branches/Cog/build.macos64x64/newspeak.cog.spur/installer/Makefile	2016-02-14 23:01:48 UTC (rev 3601)
+++ branches/Cog/build.macos64x64/newspeak.cog.spur/installer/Makefile	2016-02-15 01:27:13 UTC (rev 3602)
@@ -21,7 +21,7 @@
 $(VM_LOCALIZED_NAME_ESC).app: ../CocoaFast.app
 	rm -rf $(VM_LOCALIZED_NAME_ESC).app
 	cp -R ../CocoaFast.app $(VM_LOCALIZED_NAME_ESC).app
-	test -f $(VM_LOCALIZED_NAME_ESC).app/Contents/Resources/$(SOURCEFILENAME1) || ln $(SOURCEFILENAME1) $(VM_LOCALIZED_NAME_ESC).app/Contents/Resources
+	test -f $(VM_LOCALIZED_NAME_ESC).app/Contents/Resources/$(notdir $(SOURCEFILENAME1)) || ln $(SOURCEFILENAME1) $(VM_LOCALIZED_NAME_ESC).app/Contents/Resources
 
 # Cab contents:
 VM_BUNDLE := $(VM_LOCALIZED_NAME_ESC).app

Modified: branches/Cog/build.macos64x64/newspeak.cog.spur/installer/branding.gmk
===================================================================
--- branches/Cog/build.macos64x64/newspeak.cog.spur/installer/branding.gmk	2016-02-14 23:01:48 UTC (rev 3601)
+++ branches/Cog/build.macos64x64/newspeak.cog.spur/installer/branding.gmk	2016-02-15 01:27:13 UTC (rev 3602)
@@ -4,7 +4,7 @@
 # For Cog would like to use YY.MMDD.SVN where SVN is the Subversion checkin
 # id taken from platforms/Cross/vm/sqSCCSVersion.h.  But that doesn't fit
 # the 0-255 field.  So use YY.WW.SVN where WW is the week number.
-SVNREV  := $(shell grep '\$Rev: ' ../../../platforms/Cross/vm/sqSCCSVersion.h | sed 's/.*$Rev: \([0-9][0-9]*\).*/\1/' )
+SVNREV  := $(shell grep '$$Rev: ' ../../../platforms/Cross/vm/sqSCCSVersion.h | sed 's/.*$$Rev: \([0-9][0-9]*\).*/\1/' )
 VERSION := $(shell date +%y.%U.$(SVNREV))
 
 # Base name of the executable (.exe is appended on Windows)
@@ -14,7 +14,7 @@
 
 # Product name as compiled into the executable and installers
 ifndef PRODUCT_NAME
-PRODUCT_NAME := Newspeak Spur Virtual Machine
+PRODUCT_NAME := Newspeak Spur 64-bit Virtual Machine
 endif
 
 # Used for Desktop/menubar shortcuts

Modified: branches/Cog/platforms/Cross/vm/sqCogStackAlignment.h
===================================================================
--- branches/Cog/platforms/Cross/vm/sqCogStackAlignment.h	2016-02-14 23:01:48 UTC (rev 3601)
+++ branches/Cog/platforms/Cross/vm/sqCogStackAlignment.h	2016-02-15 01:27:13 UTC (rev 3602)
@@ -79,7 +79,7 @@
 #   define getfp() ({ unsigned long fp;								\
 					  asm volatile ("mov %0, %%fp" : "=r"(fp) : );	\
 					  fp; })
-#   define getsp() ({ unsigned long fp;								\
+#   define getsp() ({ unsigned long sp;								\
 					  asm volatile ("mov %0, %%sp" : "=r"(sp) : );	\
 					  sp; })
 #  endif


Property changes on: branches/Cog/platforms/Cross/vm/sqSCCSVersion.h
___________________________________________________________________
Modified: checkindate
   - Sun Feb 14 15:00:23 PST 2016
   + Sun Feb 14 17:24:40 PST 2016

Copied: branches/Cog/scripts/mkspur64vmarchives (from rev 3589, branches/Cog/scripts/mkspurvmarchives)
===================================================================
--- branches/Cog/scripts/mkspur64vmarchives	                        (rev 0)
+++ branches/Cog/scripts/mkspur64vmarchives	2016-02-15 01:27:13 UTC (rev 3602)
@@ -0,0 +1,179 @@
+#!/bin/sh
+# Create the 64-bit Spur VM archives in products.  Output a check of version
+# numbers etc to products/MSVALOG
+IFS="	
+"
+cd `dirname $0`/../products
+NSB=newspeak.cog.spur
+SQB=squeak.cog.spur
+PHB=pharo.cog.spur
+
+if [ $# = 0 ]; then
+CL=1
+CM=1
+CW=1
+NL=1
+NM=1
+NW=1
+PM=1
+
+else
+
+CL=
+CM=
+CW=
+NL=
+NM=
+NW=
+PM=
+	while [ -n "$1" ]; do
+		case $1 in
+		-c)		CL=1;CM=1;CW=1;;
+		-cl)	CL=1;;
+		-cm)	CM=1;;
+		-cw)	CW=1;;
+		-n)		NL=1;NM=1;NW=1;;
+		-nl)	NL=1;;
+		-nm)	NM=1;;
+		-nw)	NW=1;;
+		-pw)	PW=1;;
+		-l)		CL=1;NL=1;;
+		-m)		CM=1;NM=1;PM=1;;
+		-w)		CW=1;NW=1;;
+		-r)		shift;REV="$1";;
+		-t)		shift;TAG="$1";;
+		-?|-h)  echo usage: $0 [-c -n -l -m -w -c[lmw] -n[lmw] -pm -r REV -t TAG]
+				exit 0
+		esac
+		shift
+	done
+fi
+test -n "$REV" || REV=`grep 'SvnRawRevisionString.*Rev:' ../platforms/Cross/vm/sqSCCSVersion.h \
+	| sed 's/^.*Rev: \([0-9][0-9]*\) $";/\1/'`
+test -n "$TAG" || TAG=`date +%y.%U.`$REV
+echo REV=$REV TAG=$TAG
+
+if [ -n "$CL" ]; then
+	for d in . assert debug; do
+		(cd $d
+		for archive in cogspur64linux cogspur64linuxht cogspur64linuxhtARM; do
+			rm -rf $archive-$TAG.tgz
+			echo $archive '=>' $archive-$TAG.tgz
+			COPYFILE_DISABLE=1 tar czf $archive-$TAG.tgz $archive
+			EXES="$EXES	$archive/lib/squeak/[0-9.-]*/squeak"
+		done)
+	done
+fi
+if [ -n "$NL" ]; then
+	for d in . assert debug; do
+		(cd $d
+		set -- nscogspur64linux nscogspur64linuxht nscogspur64linuxhtARM
+		for archive in nsvmspurlinux nsvmspurlinuxht nsvmspurlinuxhtARM; do
+			rm -rf $archive-$TAG.tgz
+			echo $1 '=>' $archive-$TAG.tgz
+			COPYFILE_DISABLE=1 tar czf $archive-$TAG.tgz $1
+			EXES="$EXES	$1/lib/nsvm/[0-9.-]*/nsvm"
+			shift
+		done)
+	done
+fi
+if [ -n "$CM" ]; then
+	set -- CocoaFast.app CocoaAssert.app CocoaDebug.app
+	for app in CogSpur64.app assert/CogSpur64.app debug/CogSpur64.app; do
+		test -d $app || mkdir $app
+		if [ -d ../build.macos64x64/$SQB/$1 ]; then
+			rm -rf $app/* $app-$TAG.tgz
+			echo build.macos64x64/$SQB/$1 '=>' $app '=>' $app-$TAG.tgz
+			(cd ../build.macos64x64/$SQB/$1 >/dev/null;tar cf - *) \
+			| (cd $app;tar xf -)
+			tar czf $app-$TAG.tgz $app
+			EXES="$EXES	$app/Contents/MacOS/Squeak"
+		else
+			echo build.macos64x64/$SQB/$1 is missing
+		fi
+		shift
+	done
+fi
+if [ -n "$NM" ]; then
+	set -- CocoaFast.app CocoaAssert.app CocoaDebug.app
+	for app in Newspeak\ Spur\ Virtual\ Machine.app \
+				assert/Newspeak\ Spur\ Virtual\ Machine.app\
+				debug/Newspeak\ Spur\ Virtual\ Machine.app; do
+		test -d $app || mkdir $app
+		if [ -d ../build.macos64x64/$NSB/$1 ]; then
+			rm -rf $app/* $app-$TAG.tgz
+			echo build.macos64x64/$NSB/$1 '=>' $app '=>' $app-$TAG.tgz
+			(cd ../build.macos64x64/$NSB/$1 >/dev/null;tar cf - *) \
+			| (cd $app;tar xf -)
+			tar czf $app-$TAG.tgz $app
+			EXES="$EXES	$app/Contents/MacOS/Newspeak Virtual Machine"
+		else
+			echo build.macos64x64/$NSB/$1 is missing
+		fi
+		shift
+	done
+fi
+if [ -n "$PM" ]; then
+	set -- CocoaFast.app CocoaAssert.app CocoaDebug.app
+	for app in CogPharoSpur64.app assert/CogPharoSpur64.app debug/CogPharoSpur64.app; do
+		test -d $app || mkdir $app
+		if [ -d ../build.macos64x64/$PHB/$1 ]; then
+			rm -rf $app/* $app-$TAG.tgz
+			echo build.macos64x64/$PHB/$1 '=>' $app '=>' $app-$TAG.tgz
+			(cd ../build.macos64x64/$PHB/$1 >/dev/null;tar cf - *) \
+			| (cd $app;tar xf -)
+			tar czf $app-$TAG.tgz $app
+			EXES="$EXES	$app/Contents/MacOS/Squeak"
+		else
+			echo build.macos64x64/$PHB/$1 is missing
+		fi
+		shift
+	done
+fi
+if [ -n "$CW" ]; then
+	set -- build/vm buildast/vm builddbg/vm
+	for dir in cogspur64win assert/cogspur64win debug/cogspur64win; do
+		test -d $dir || mkdir $dir
+		if [ -d ../build.win64x64/$SQB/$1 ]; then
+			rm -rf $dir/* $dir-$TAG.zip
+			echo build.win64x64/$SQB/$1 '=>' $dir '=>' $dir-$TAG.zip
+			(cd ../build.win64x64/$SQB/$1 >/dev/null; \
+			 tar cf - Squeak.exe Squeak.map Squeak.exe.manifest \
+				SqueakConsole.exe SqueakConsole.map SqueakConsole.exe.manifest \
+				*.dll) \
+			| (cd $dir;tar xf -)
+			zip -qr $dir-$TAG.zip $dir
+			EXES="$EXES	$dir/Squeak.exe	$dir/SqueakConsole.exe"
+		else
+			echo build.win64x64/$SQB/$1 is missing
+		fi
+		shift
+	done
+fi
+if [ -n "$NW" ]; then
+	set -- build/vm buildast/vm builddbg/vm
+	for dir in nsvmspurwin assert/nsvmspurwin debug/nsvmspurwin; do
+		test -d $dir || mkdir $dir
+		if [ -d ../build.win64x64/$NSB/$1 ]; then
+			rm -rf $dir/* $dir-$TAG.zip
+			echo build.win64x64/$NSB/$1 '=>' $dir '=>' $dir-$TAG.zip
+			(cd ../build.win64x64/$NSB/$1 >/dev/null; \
+			 tar cf - nsvm*.exe nsvm*.map nsvm*.exe.manifest ) \
+			| (cd $dir;tar xf -)
+			zip -qr $dir-$TAG.zip $dir
+			EXES="$EXES	$dir/nsvm.exe	$dir/nsvmConsole.exe"
+		else
+			echo build.win64x64/$NSB/$1 is missing
+		fi
+		shift
+	done
+fi
+for vm in $EXES
+do
+	echo
+	echo checking $vm version
+#	strings - $vm | egrep '\$Rev: |Interp.*VMMaker|Cogit.*VMMaker| built on ' | grep -v 'Unix built on "__DATE__ " "__TIME__" Compiler: "__VERSION__' | sed 's/ uuid:.*//'
+	strings - $vm | egrep '\$Rev: |Interp.*VMMaker|Cogit.*VMMaker| built on ' | sed 's/ uuid:.*//'
+	echo checking $vm for asserts
+	strings - $vm | grep "assert[^0-9]*[0-9][0-9][0-9]"
+done 2>&1 | tee MSVALOG

Modified: branches/Cog/scripts/mkspurvmarchives
===================================================================
--- branches/Cog/scripts/mkspurvmarchives	2016-02-14 23:01:48 UTC (rev 3601)
+++ branches/Cog/scripts/mkspurvmarchives	2016-02-15 01:27:13 UTC (rev 3602)
@@ -6,6 +6,7 @@
 cd `dirname $0`/../products
 NSB=newspeak.cog.spur
 SQB=squeak.cog.spur
+PHB=pharo.cog.spur
 
 if [ $# = 0 ]; then
 CL=1
@@ -14,6 +15,7 @@
 NL=1
 NM=1
 NW=1
+PM=1
 
 else
 
@@ -23,6 +25,7 @@
 NL=
 NM=
 NW=
+PM=
 	while [ -n "$1" ]; do
 		case $1 in
 		-c)		CL=1;CM=1;CW=1;;
@@ -33,12 +36,13 @@
 		-nl)	NL=1;;
 		-nm)	NM=1;;
 		-nw)	NW=1;;
+		-pm)	PM=1;;
 		-l)		CL=1;NL=1;;
-		-m)		CM=1;NM=1;;
+		-m)		CM=1;NM=1;PM=1;;
 		-w)		CW=1;NW=1;;
 		-r)		shift;REV="$1";;
 		-t)		shift;TAG="$1";;
-		-?|-h)  echo usage: $0 [-c -n -l -m -w -c[lmw] -n[lmw] -r REV -t TAG]
+		-?|-h)  echo usage: $0 [-c -n -l -m -w -c[lmw] -n[lmw] -pm -r REV -t TAG]
 				exit 0
 		esac
 		shift
@@ -74,7 +78,7 @@
 	done
 fi
 if [ -n "$CM" ]; then
-	set -- Fast.app Assert.app Debug.app
+	set -- CocoaFast.app CocoaAssert.app CocoaDebug.app
 	for app in CogSpur.app assert/CogSpur.app debug/CogSpur.app; do
 		test -d $app || mkdir $app
 		if [ -d ../build.macos32x86/$SQB/$1 ]; then
@@ -91,7 +95,7 @@
 	done
 fi
 if [ -n "$NM" ]; then
-	set -- Fast.app Assert.app Debug.app
+	set -- CocoaFast.app CocoaAssert.app CocoaDebug.app
 	for app in Newspeak\ Spur\ Virtual\ Machine.app \
 				assert/Newspeak\ Spur\ Virtual\ Machine.app\
 				debug/Newspeak\ Spur\ Virtual\ Machine.app; do
@@ -109,6 +113,23 @@
 		shift
 	done
 fi
+if [ -n "$PM" ]; then
+	set -- CocoaFast.app CocoaAssert.app CocoaDebug.app
+	for app in CogPharoSpur.app assert/CogPharoSpur.app debug/CogPharoSpur.app; do
+		test -d $app || mkdir $app
+		if [ -d ../build.macos32x86/$PHB/$1 ]; then
+			rm -rf $app/* $app-$TAG.tgz
+			echo build.macos32x86/$PHB/$1 '=>' $app '=>' $app-$TAG.tgz
+			(cd ../build.macos32x86/$PHB/$1 >/dev/null;tar cf - *) \
+			| (cd $app;tar xf -)
+			tar czf $app-$TAG.tgz $app
+			EXES="$EXES	$app/Contents/MacOS/Squeak"
+		else
+			echo build.macos32x86/$PHB/$1 is missing
+		fi
+		shift
+	done
+fi
 if [ -n "$CW" ]; then
 	set -- build/vm buildast/vm builddbg/vm
 	for dir in cogspurwin assert/cogspurwin debug/cogspurwin; do

Modified: branches/Cog/scripts/mkvmarchives
===================================================================
--- branches/Cog/scripts/mkvmarchives	2016-02-14 23:01:48 UTC (rev 3601)
+++ branches/Cog/scripts/mkvmarchives	2016-02-15 01:27:13 UTC (rev 3602)
@@ -3,6 +3,6 @@
 # agreement
 `dirname $0`/mkcogvmarchives
 `dirname $0`/mkspurvmarchives
-`dirname $0`/mkARMstackvmarchives
+`dirname $0`/mkspur32vmarchives
 echo; echo "Version info:"
 cat `dirname $0`/../products/M*[CS]VALOG | egrep '\$Rev|VMMaker' | sort -u

Modified: branches/Cog/scripts/uploadvms
===================================================================
--- branches/Cog/scripts/uploadvms	2016-02-14 23:01:48 UTC (rev 3601)
+++ branches/Cog/scripts/uploadvms	2016-02-15 01:27:13 UTC (rev 3602)
@@ -9,28 +9,30 @@
 LCOG=
 LTCOG=
 LSPUR=
+LSPUR64=
 LTSPUR=
 LASPUR=
 MCOG=
 MTCOG=
 MSPUR=
+MSPUR64=
+MPSPUR=
+MPSPUR64=
 MTSPUR=
 WCOG=
 WTCOG=
 WSPUR=
 WTSPUR=
-LNSCOG=
 LNSSPUR=
-MNSCOG=
 MNSSPUR=
-WNSCOG=
 WNSSPUR=
+LNSSPUR64=
+MNSSPUR64=
 cd `dirname $0`/../products
 VERBOSE=
 JustUpload=
 
 
-# By default the Newspeak Cog VMs are not built; superceded by Spur.
 function all () {
 	CheckDMG=1
 	CheckMSI=1
@@ -43,12 +45,15 @@
 	MSPUR=1
 	WCOG=1
 	WSPUR=1
-#	LNSCOG=1
+	MPSPUR=1
 	LNSSPUR=1
-#	MNSCOG=1
 	MNSSPUR=1
-#	WNSCOG=1
 	WNSSPUR=1
+	LSPUR64=1
+	MSPUR64=1
+	MPSPUR64=1
+	LNSSPUR64=1
+	MNSSPUR64=1
 }
 
 if [ $# = 0 ]; then
@@ -61,7 +66,8 @@
 		-archives)	JustUpload=JustUpload;;
 		-all)	all;;
 		-spur)	CheckDMG=1;CheckMSI=1;
-				LSPUR=1;LASPUR=1;MSPUR=1;WSPUR=1;LNSSPUR=1;MNSSPUR=1;WNSSPUR=1;;
+				LSPUR=1;LASPUR=1;MSPUR=1;WSPUR=1;LNSSPUR=1;MNSSPUR=1;WNSSPUR=1;
+				LSPUR64=1;MSPUR64=1;MPSPUR64=1;LNSSPUR64=1;MNSSPUR64=1;;
 		-c)		LCOG=1;LTCOG=1;MCOG=1;MTCOG=1;WCOG=1;WMTCOG=1;
 				LSPUR=1;LASPUR=1;MSPUR=1;WSPUR=1;;
 		-cl)	LCOG=1;LTCOG=1;LSPUR=1;LASPUR=1;;
@@ -70,24 +76,25 @@
 		-ctl)	LTCOG=1;;
 		-ctm)	MTCOG=1;;
 		-ctw)	WTCOG=1;;
-		-nl)	LNSCOG=1;LNSSPUR=1;;
-		-nm)	MNSCOG=1;MNSSPUR=1;
+		-nl)	LNSSPUR=1;;
+		-nm)	MNSSPUR=1;
 				CheckDMG=1;;
-		-nw)	WNSCOG=1;WNSSPUR=1;
+		-nw)	WNSSPUR=1;
 				CheckMSI=1;;
-		-n)		LNSCOG=1;LNSSPUR=1;MNSCOG=1;MNSSPUR=1;WNSCOG=1;WNSSPUR=1;
+		-n)		LNSSPUR=1;MNSSPUR=1;WNSSPUR=1;LNSSPUR64=1;MNSSPUR64=1;
 				CheckDMG=1;CheckMSI=1;;
-		-l)		LCOG=1;LTCOG=1;LSPUR=1;LASPUR=1;LNSCOG=1;LNSSPUR=1;;
-		-m)		MCOG=1;MTCOG=1;MSPUR=1;MNSCOG=1;MNSSPUR=1;
+		-p)		MPSPUR=1;MPSPUR64=1;;
+		-l)		LCOG=1;LTCOG=1;LSPUR=1;LASPUR=1;LNSSPUR=1;;
+		-m)		MCOG=1;MTCOG=1;MSPUR=1;MNSSPUR=1;MSPUR64=1;MPSPUR=1;MPSPUR64=1;
 				CheckDMG=1;;
-		-w)		WCOG=1;WTCOG=1;WSPUR=1;WNSCOG=1;WNSSPUR=1;
+		-w)		WCOG=1;WTCOG=1;WSPUR=1;WNSSPUR=1;
 				CheckMSI=1;CheckDMG=1;;
 		-v)		VERBOSE=1;;
 		-r)		shift;REV="$1";;
 		-t)		shift;TAG="$1";;
 		-T)		TEST=1;;
-		-?|-h)  echo usage: $0 [-all -l -m -w -c -n -cl -cm -cw -ctl -ctm -ctw -nl -nm -nw -archives -r REV -t TAG -T]; exit 0;;
-		*)	echo usage: $0 [-all -l -m -w -c -n -cl -cm -cw -ctl -ctm -ctw -nl -nm -nw -archives -r REV -t TAG -T]; exit 1;;
+		-?|-h)  echo usage: $0 [-all -l -m -w -c -n -p -cl -cm -cw -ctl -ctm -ctw -nl -nm -nw -archives -r REV -t TAG -T]; exit 0;;
+		*)	echo usage: $0 [-all -l -m -w -c -n -p -cl -cm -cw -ctl -ctm -ctw -nl -nm -nw -archives -r REV -t TAG -T]; exit 1;;
 		esac
 		shift
 	done
@@ -120,35 +127,25 @@
 test -n "$MCOG" && ARCHIVES="$ARCHIVES	Cog.app-$TAG.tgz	CogSpur.app-$TAG.tgz"
 test -n "$MTCOG" && ARCHIVES="$ARCHIVES	CogMT.app-$TAG.tgz"
 test -n "$MSPUR" && ARCHIVES="$ARCHIVES	CogSpur.app-$TAG.tgz"
+test -n "$MSPUR64" && ARCHIVES="$ARCHIVES	CogSpur64.app-$TAG.tgz"
 test -n "$MTSPUR" && ARCHIVES="$ARCHIVES	CogMTSpur.app-$TAG.tgz"
+test -n "$MPSPUR" && ARCHIVES="$ARCHIVES	CogPharoSpur.app-$TAG.tgz"
+test -n "$MPSPUR64" && ARCHIVES="$ARCHIVES	CogPharoSpur64.app-$TAG.tgz"
 test -n "$WCOG" && ARCHIVES="$ARCHIVES	cogwin-$TAG.zip"
 test -n "$WTCOG" && ARCHIVES="$ARCHIVES	cogmtwin-$TAG.zip"
 test -n "$WSPUR" && ARCHIVES="$ARCHIVES	cogspurwin-$TAG.zip"
 test -n "$WTSPUR" && ARCHIVES="$ARCHIVES	cogspurmtwin-$TAG.zip"
 
-test -n "$LNSCOG" && ARCHIVES="$ARCHIVES	nsvmlinux-$TAG.tgz	nsvmlinuxht-$TAG.tgz"
 test -n "$LNSSPUR" && ARCHIVES="$ARCHIVES	nsvmspurlinux-$TAG.tgz	nsvmspurlinuxht-$TAG.tgz	nsvmspurlinuxhtARM-$TAG.tgz"
-test -n "$MNSCOG" && ARCHIVES="$ARCHIVES	Newspeak Virtual Machine-$TAG.dmg	Newspeak Virtual Machine.app-$TAG.tgz"
 test -n "$MNSSPUR" && ARCHIVES="$ARCHIVES	Newspeak Spur Virtual Machine-$TAG.dmg	Newspeak Spur Virtual Machine.app-$TAG.tgz"
-test -n "$WNSCOG" && ARCHIVES="$ARCHIVES	nsvmwin-$TAG.zip	nsvm-$TAG.msi"
 test -n "$WNSSPUR" && ARCHIVES="$ARCHIVES	nsvmspurwin-$TAG.zip	nsvm-spur-$TAG.msi"
+test -n "$MNSSPUR64" && ARCHIVES="$ARCHIVES	Newspeak Spur 64-bit Virtual Machine-$TAG.dmg	Newspeak Spur 64-bit Virtual Machine.app-$TAG.tgz"
 
 if [ -n "$VERBOSE" ]; then
 	for a in $ARCHIVES; do
 		echo upload $a
 	done
 fi
-if [ -n "$CheckDMG" -a -n "$MNSCOG" -a ! -f "Newspeak Virtual Machine-$TAG.dmg" ]; then
-	NMID=../build.macos32x86/newspeak.cog.v3/installer
-	if [ -f "Newspeak Virtual Machine-$TAG.dmg" ]; then
-		true
-	elif [ -f "$NMID/Newspeak Virtual Machine-$TAG.dmg" ]; then
-		ln "$NMID/Newspeak Virtual Machine-$TAG.dmg" .
-	else
-		echo Newspeak Virtual Machine-$TAG.dmg is missing 1>&2
-		exit 1
-	fi
-fi
 if [ -n "$CheckDMG" -a -n "$MNSSPUR" -a ! -f "Newspeak Spur Virtual Machine-$TAG.dmg" ]; then
 	NMID=../build.macos32x86/newspeak.cog.spur/installer
 	if [ -f "Newspeak Spur Virtual Machine-$TAG.dmg" ]; then
@@ -160,14 +157,14 @@
 		exit 1
 	fi
 fi
-if [ -n "$CheckMSI" -a -n "$WNSCOG" -a ! -f nsvm-$TAG.msi ]; then
-	NMID=../build.win32x86/newspeak.cog.v3/installer
-	if [ -f nsvm-$TAG.msi ]; then
+if [ -n "$CheckDMG" -a -n "$MNSSPUR64" -a ! -f "Newspeak Spur 64-bit Virtual Machine-$TAG.dmg" ]; then
+	NMID=../build.macos64x64/newspeak.cog.spur/installer
+	if [ -f "Newspeak Spur 64-bit Virtual Machine-$TAG.dmg" ]; then
 		true
-	elif [ -f "$NWID/nsvm-$TAG.msi" ]; then
-		ln "$NWID/nsvm-$TAG.msi" .
+	elif [ -f "$NMID/Newspeak Spur 64-bit Virtual Machine-$TAG.dmg" ]; then
+		ln "$NMID/Newspeak Spur 64-bit Virtual Machine-$TAG.dmg" .
 	else
-		echo nsvm-$TAG.msi is missing 1>&2
+		echo Newspeak Spur 64-bit Virtual Machine-$TAG.dmg is missing 1>&2
 		exit 1
 	fi
 fi
@@ -192,8 +189,12 @@
      non-blocking FFI calls.  The archives containing "Spur" or "spur" are
      VMs using the new Spur object representation and garbage collector and
      should be used with Spur-format Squeak/Pharo/Croquet or Newspeak images.
-     Squeak V5 and Newspeak have moved to Spur.
+     Squeak V5, Newspeak and the upcoming Pharo release have moved to Spur.
 
+     Archives whose names include "64" are 64-bit Spur VMs.  They should be
+     used with 64-bit Spur images.  Sample 64-bit images can be found at
+         http://www.mirandabanda.org/files/Cog/SpurImages
+
      Linux
      There are two variants of the Linux VMs; those ending in "ht" have a
      heartbeat thread, while those that don't use an interval timer for the



More information about the Vm-dev mailing list